class window.Search
  
  showSpinner: ->
    $('#search').attr(disabled: 'disabled').blur()
    $('#autocomplete-container').hide()
    $('#artist-load-spinner').show()
    false
  
  hideSpinner: ->
    $('#search').val("").removeAttr 'disabled'
    $('#artist-load-spinner').hide()
    false
  
  loadArtistData: (name) ->
    log "Loading artist page ..."
    _search.showSpinner()
    name = name.split(' ').join('+')
    _ajax.previous_page = "/artist/#{name}/"
    _ajax.go "/artist/#{name}/"
    $.get "/artist/#{name}", (data) ->
      if data.status in ['ok', 'loading']
        _page.render data
        _search.hideSpinner()
        if data.status is 'loading'
          setTimeout () ->
            _search.loadArtistData name
          , 10000
      else if data.status is 'corrected'
        _search.loadArtistData data.correct_name
      else if data.status is 'not_found'
        _search.hideSpinner()
        alert "Not found"
      else
        _search.hideSpinner()
        _page.print data.html
    false

$('#search-form').live 'submit', ->
  $('#autocomplete-container').hide()
  _search.loadArtistData $('#search').val()
  false
$('.data.artist').live 'click', ->
  _ajax.go "/artist/"+$(this).html().split(' ').join('+')+"/"
  false
