class PageController < ApplicationController
  def index
    # Something
  end
  
  def greetings
    compile_page(partial: "page/greetings", title: t("title.greetings"))
  end
  
  def about
    compile_page(partial: "page/about", title: t("title.about"))
  end
  
  def stat
    data = {
      artists: Artist.count,
      albums: Album.count,
      tracks: Track.count,
      users: User.count
    }
    compile_page(data: data, partial: "page/stat", title: t("title.stat"))
  end
end
