class Session < ActiveRecord::Base
  belongs_to :user
  
  def self.generate_key
    Digest::SHA1.hexdigest(Beathaven::Application.config.secret_token + Time.now.to_f.to_s + Random.rand().to_s)
  end
end
