class AddLastfmUsernameToUsers < ActiveRecord::Migration
  def self.up
    add_column :users, :lastfm_username, :string
    rename_column :users, :lastfm_token, :lastfm_key
  end

  def self.down
    rename_column :users, :lastfm_key, :lastfm_token
    remove_column :users, :lastfm_username
  end
end