class window.Session
  
  vk_params: null
  user: null
  
  constructor: (params) ->
    attrs = ['expire', 'mid', 'secret', 'sid', 'sig']
    _params = {}
    for key in attrs
      if params[key]?
        _params[key] = params[key]
    @vk_params = _params
  
  setUser: (user) ->
    if user.id?
      $("body").addClass("authorized")
    else
      $("body").removeClass("authorized")
    log "Setting user ..."
    @user = user
    log "Hello, #{if user.name? then user.name else "%username%"}!"
    $('#username').html (if @user.name? then @user.name else '%username%')
    false
    
  getUser: ->
    @user
  
  query: (url, params, callback) ->
    q_params = $.extend {}, @vk_params, params
    q_params.authenticity_token = $('meta[name="csrf-token"]').attr('content')
    $.post url, q_params, callback
    false
  
  secureLoad: (url, callback) ->
    q_params = $.extend {}, @vk_params
    $('#content').load url, q_params, callback
    false
  
  reloadSession: ->
    log "Reloading session ..."
    _session.query '/user/auth', {}, (ar) ->
      _session.setUser ar.user
      false
    false
